Bug 886022 - Review Request: pyzy - The Chinese PinYin and Bopomofo conversion library
Summary: Review Request: pyzy - The Chinese PinYin and Bopomofo conversion library
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-11 10:34 UTC by Peng Wu
Modified: 2013-01-11 23:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-29 06:29:22 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Peng Wu 2012-12-11 10:34:35 UTC
Spec URL: http://pwu.fedorapeople.org/pyzy/pyzy.spec
SRPM URL: http://pwu.fedorapeople.org/pyzy/pyzy-0.1.0-2.fc17.src.rpm
Description: The Chinese Pinyin and Bopomofo conversion library.
Fedora Account System Username:pwu

Comment 1 Parag AN(पराग) 2012-12-12 15:54:03 UTC
Review:-

+ Package build fine in mock

+ rpmlint on rpms gave
pyzy-devel.x86_64: W: no-documentation
pyzy-devel.x86_64: E: incorrect-fsf-address /usr/include/pyzy-1.0/PyZy/Const.h
pyzy-devel.x86_64: E: incorrect-fsf-address /usr/include/pyzy-1.0/PyZy/InputContext.h
pyzy-devel.x86_64: E: incorrect-fsf-address /usr/include/pyzy-1.0/PyZy/Variant.h
pyzy.src: W: summary-ended-with-dot C The Chinese PinYin and Bopomofo conversion library.
pyzy.src:35: W: unversioned-explicit-provides pyzy-db
pyzy.src:45: W: unversioned-explicit-provides pyzy-db
pyzy.src: W: invalid-url Source1: http://pyzy.googlecode.com/files/pyzy-database-1.0.0.tar.bz2 HTTP Error 404: Not Found
pyzy.src: W: invalid-url Source0: http://pyzy.googlecode.com/files/pyzy-0.1.0.tar.gz HTTP Error 404: Not Found
pyzy-db-android.noarch: W: no-documentation
pyzy-db-open-phrase.noarch: W: no-documentation
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/BopomofoContext.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/FullPinyinContext.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PhoneticContext.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/SpecialPhraseTable.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PinyinArray.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/SimpTradConverterTable.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/BopomofoKeyboard.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/DoublePinyinContext.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/Bopomofo.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/FullPinyinContext.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PhoneticContext.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/DoublePinyinContext.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/SimpTradConverter.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/Util.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/SpecialPhrase.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PinyinContext.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/BopomofoContext.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PinyinContext.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PinyinParserTable.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/String.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/DynamicSpecialPhrase.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/DynamicSpecialPhrase.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/SimpTradConverter.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/Database.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/Database.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PhraseEditor.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/Variant.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PhraseArray.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/SpecialPhraseTable.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PinyinParser.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/Phrase.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/Config.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PinyinParser.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/InputContext.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/InputContext.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/PhraseEditor.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/DoublePinyinTable.h
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/Variant.cc
pyzy-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pyzy-0.1.0/src/Types.h
pyzy.x86_64: W: summary-ended-with-dot C The Chinese PinYin and Bopomofo conversion library.
pyzy.x86_64: E: library-without-ldconfig-postin /usr/lib64/libpyzy-1.0.so.0.100.0
pyzy.x86_64: E: library-without-ldconfig-postun /usr/lib64/libpyzy-1.0.so.0.100.0
6 packages and 0 specfiles checked; 44 errors, 9 warnings.

+ Source verified with upstream as
http://pyzy.googlecode.com/files/pyzy-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : fe468a4372473d85a56f05d55b14f0e0201fde6f9336a1a2322cf79421c84d9a
  CHECKSUM(SHA256) upstream package : fe468a4372473d85a56f05d55b14f0e0201fde6f9336a1a2322cf79421c84d9a
http://pyzy.googlecode.com/files/pyzy-database-1.0.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : 32c7d07b9f41e1dfc0f9008f54eca8e6cb367e7f2b19ac94c49754442694c321
  CHECKSUM(SHA256) upstream package : 32c7d07b9f41e1dfc0f9008f54eca8e6cb367e7f2b19ac94c49754442694c321

+ license is valid and its text is included


issues:
1) why do you provide same Provides: pyzy-db by 2 subpackages?

2) cp commands should preserve file timestamp using "cp -p" command

3) make install command should preserve timestamp using

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

4) %defattr either be kept for all %files or removed from everywhere.

5) Summary should not end with dot

6) contact upstream to change incorrect fsf address.

7) you missed http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries

Comment 2 Peng Wu 2012-12-13 03:35:50 UTC
> 1) why do you provide same Provides: pyzy-db by 2 subpackages?

Because both android db and open phrase db are data files for pyzy, one is small, the other is big. The user can install either one to be used with pyzy.

2-5, 7 are fixed.

Comment 3 Peng Wu 2012-12-13 03:37:00 UTC
Spec URL: http://pwu.fedorapeople.org/pyzy/pyzy.spec
SRPM URL: http://pwu.fedorapeople.org/pyzy/pyzy-0.1.0-3.fc17.src.rpm
Please review it again, thanks.

Comment 4 Parag AN(पराग) 2012-12-13 05:33:20 UTC
Looks good now.

Just remove "Requires(post): sqlite"

APPROVED.

Comment 5 Peng Wu 2012-12-13 06:22:11 UTC
New Package SCM Request
=======================
Package Name: pyzy
Short Description: The Chinese PinYin and Bopomofo conversion library
Owners: pwu
Branches: f17 f18
InitialCC: i18n-team petersen

Comment 6 Gwyn Ciesla 2012-12-13 12:57:14 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-12-14 06:12:55 UTC
pyzy-0.1.0-4.fc18,ibus-pinyin-1.4.99.20120808-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pyzy-0.1.0-4.fc18,ibus-pinyin-1.4.99.20120808-2.fc18

Comment 8 Fedora Update System 2012-12-14 06:13:14 UTC
pyzy-0.1.0-4.fc17,ibus-pinyin-1.4.99.20120808-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pyzy-0.1.0-4.fc17,ibus-pinyin-1.4.99.20120808-2.fc17

Comment 9 Fedora Update System 2012-12-14 23:19:37 UTC
Package pyzy-0.1.0-4.fc18, ibus-pinyin-1.4.99.20120808-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyzy-0.1.0-4.fc18 ibus-pinyin-1.4.99.20120808-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20373/pyzy-0.1.0-4.fc18,ibus-pinyin-1.4.99.20120808-2.fc18
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-12-29 06:29:24 UTC
pyzy-0.1.0-4.fc17, ibus-pinyin-1.4.99.20120808-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-01-11 23:56:17 UTC
pyzy-0.1.0-4.fc18, ibus-pinyin-1.4.99.20120808-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.